// Point.cpp: implementation of the Point class.
//
//////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include "Point3D.h"

Point3D::Point3D(const Point3D &other)
{
	m_nX = other.m_nX;
	m_nY = other.m_nY;
	m_nZ = other.m_nZ;
}

Point3D::Point3D(const int *other)
{
	m_nX = other[0];
	m_nY = other[1];
	m_nZ = other[2];
}

Point3D::Point3D(int nX, int nY, int nZ)
{
	m_nX = nX;
	m_nY = nY;
	m_nZ = nZ;
}

void Point3D::SetPosition(int nX, int nY, int nZ)
{
	m_nX = nX;
	m_nY = nY;
	m_nZ = nZ;
}

void Point3D::Move(int nX, int nY, int nZ)
{
	m_nX += nX;
	m_nY += nY;
	m_nZ += nZ;
}

void Point3D::Show()
{
	printf("X= %d Y= %d Z= %d\n", m_nX, m_nY, m_nZ);
}

Point3D Point3D::operator + ( const Point3D &other )
{
    Point3D vResult(0, 0, 0);

    vResult.m_nX = m_nX + other.m_nX;
    vResult.m_nY = m_nY + other.m_nY;
    vResult.m_nZ = m_nY + other.m_nZ;

    return vResult;
}
