// Point3D.h: interface for the Point class.
// 
//////////////////////////////////////////////////////////////////////

#ifndef __POINT3D_H__
#define __POINT3D_H__

#include "Point.h"

class Point3D : public Point
{
public:
	Point3D() {};
    Point3D(const Point3D &other);
	Point3D(const int *other);
    Point3D(int nX, int nY, int nZ);
	virtual ~Point3D() {};

	// member function
	void SetPosition(int nX=10, int nY=10, int nZ=10);
	void Move(int nX, int nY, int nZ);
	void Show();

	// operator
	Point3D& operator++();
	Point3D operator+(const Point3D &other);

	// member variable
	int m_nZ;
};

inline Point3D& Point3D::operator++()
{
	SetPosition(++m_nX, ++m_nY, ++m_nZ);
	return *this;
}

#endif